Skip to main content
GET
/
api
/
v1
/
payments
/
transactions
List All Transactions
curl --request GET \
  --url https://api.devkit4ai.com/api/v1/payments/transactions \
  --header 'Authorization: Bearer <token>'
{
  "payments": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "project_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "project_name": "<string>",
      "is_test_mode": true,
      "payment_intent_id": "<string>",
      "status": "<string>",
      "amount_cents": 123,
      "currency": "<string>",
      "created_at": "2023-11-07T05:31:56Z",
      "provider": "stripe",
      "subscription_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "description": "<string>",
      "refunded_amount_cents": 0
    }
  ],
  "total": 123,
  "page": 123,
  "page_size": 123
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Query Parameters

project_id
string<uuid> | null

Filter by project

test_mode
boolean | null

Filter by test mode

status
string | null

Filter by status

page
integer
default:1
Required range: x >= 1
page_size
integer
default:50
Required range: 1 <= x <= 100

Response

Successful Response

Paginated list of payments across projects.

payments
AggregatedPaymentResponse · object[]
required
total
integer
required
page
integer
required
page_size
integer
required